	.file	"uniform.cpp"
	.text
	.section	.rodata.str1.1,"aMS",@progbits,1
.LC0:
	.string	"vector::_M_default_append"
.LC1:
	.string	" SHADER CONTAINS ERRORS! "
	.text
	.align 2
	.globl	_ZN7UNIFORM9outputLogEj
	.type	_ZN7UNIFORM9outputLogEj, @function
_ZN7UNIFORM9outputLogEj:
.LFB2989:
	.cfi_startproc
	.cfi_personality 0x3,__gxx_personality_v0
	.cfi_lsda 0x3,.LLSDA2989
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	pushq	%r15
	pushq	%r14
	pushq	%r13
	pushq	%r12
	pushq	%rbx
	subq	$72, %rsp
	.cfi_offset 15, -24
	.cfi_offset 14, -32
	.cfi_offset 13, -40
	.cfi_offset 12, -48
	.cfi_offset 3, -56
1:	call	mcount
	movl	%esi, %r13d
	movl	$0, -52(%rbp)
	movl	$0, -56(%rbp)
	leaq	-52(%rbp), %rdx
	movl	$35716, %esi
	movl	%r13d, %edi
.LEHB0:
	call	*__glewGetObjectParameterivARB(%rip)
.LEHE0:
	movl	-52(%rbp), %r15d
	movslq	%r15d, %r14
	movl	$0, %r12d
	movl	$0, %ebx
	testq	%r14, %r14
	jne	.L26
.L2:
	movl	$25, %edx
	movl	$.LC1, %esi
	movl	$_ZSt4cerr, %edi
.LEHB1:
	call	_ZSt16__ostream_insertIcSt11char_traitsIcEERSt13basic_ostreamIT_T0_ES6_PKS3_l
.LEHE1:
	jmp	.L27
.L26:
	testl	%r15d, %r15d
	js	.L28
	movabsq	$9223372036854775807, %rax
	cmpq	%rax, %r14
	cmovbe	%r14, %rax
	movq	%rax, %rdi
.LEHB2:
	call	_Znwm
	jmp	.L29
.L28:
	movl	$.LC0, %edi
	call	_ZSt20__throw_length_errorPKc
.LEHE2:
.L24:
	movq	%rax, %r12
	jmp	.L19
.L29:
	movq	%rax, %rbx
	movb	$0, (%rax)
	cmpq	$1, %r14
	jne	.L30
.L4:
	leaq	(%rbx,%r14), %r12
	jmp	.L2
.L30:
	movslq	%r15d, %rdx
	subq	$1, %rdx
	leaq	1(%rax), %rdi
	movl	$0, %esi
	call	memset
	jmp	.L4
.L27:
	movq	_ZSt4cerr(%rip), %rax
	movq	-24(%rax), %rax
	movq	_ZSt4cerr+240(%rax), %r14
	testq	%r14, %r14
	je	.L31
	cmpb	$0, 56(%r14)
	je	.L6
	movzbl	67(%r14), %esi
.L7:
	movsbl	%sil, %esi
	movl	$_ZSt4cerr, %edi
.LEHB3:
	call	_ZNSo3putEc
	jmp	.L32
.L31:
	call	_ZSt16__throw_bad_castv
.L22:
	movq	%rax, %r12
	jmp	.L18
.L6:
	movq	%r14, %rdi
	call	_ZNKSt5ctypeIcE13_M_widen_initEv
	movq	(%r14), %rax
	movl	$10, %esi
	movq	%r14, %rdi
	call	*48(%rax)
	movl	%eax, %esi
	jmp	.L7
.L32:
	movq	%rax, %rdi
	call	_ZNSo5flushEv
	movq	%rbx, %rcx
	leaq	-56(%rbp), %rdx
	movl	-52(%rbp), %esi
	movl	%r13d, %edi
	call	*__glewGetInfoLogARB(%rip)
.LEHE3:
	leaq	-80(%rbp), %rax
	movq	%rax, -96(%rbp)
	movq	%r12, %rax
	subq	%rbx, %rax
	movq	%rax, -104(%rbp)
	cmpq	$15, %rax
	ja	.L33
.L8:
	movq	-96(%rbp), %rsi
	cmpq	%rbx, %r12
	je	.L9
	movq	%r12, %rcx
	subq	%rbx, %rcx
	movl	$0, %eax
.L10:
	movzbl	(%rbx,%rax), %edx
	movb	%dl, (%rsi,%rax)
	addq	$1, %rax
	cmpq	%rax, %rcx
	jne	.L10
.L9:
	movq	-104(%rbp), %rax
	movq	%rax, -88(%rbp)
	movq	-96(%rbp), %rdx
	movb	$0, (%rdx,%rax)
	movq	-88(%rbp), %rdx
	movq	-96(%rbp), %rsi
	movl	$_ZSt4cerr, %edi
.LEHB4:
	call	_ZSt16__ostream_insertIcSt11char_traitsIcEERSt13basic_ostreamIT_T0_ES6_PKS3_l
.LEHE4:
	jmp	.L34
.L33:
	movl	$0, %edx
	leaq	-104(%rbp), %rsi
	leaq	-96(%rbp), %rdi
.LEHB5:
	call	_ZNSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEE9_M_createERmm
.LEHE5:
	movq	%rax, -96(%rbp)
	movq	-104(%rbp), %rax
	movq	%rax, -80(%rbp)
	jmp	.L8
.L34:
	movq	%rax, %r12
	movq	(%rax), %rax
	movq	-24(%rax), %rax
	movq	240(%r12,%rax), %r13
	testq	%r13, %r13
	je	.L35
	cmpb	$0, 56(%r13)
	je	.L12
	movzbl	67(%r13), %esi
.L13:
	movsbl	%sil, %esi
	movq	%r12, %rdi
.LEHB6:
	call	_ZNSo3putEc
	jmp	.L36
.L35:
	call	_ZSt16__throw_bad_castv
.LEHE6:
.L23:
	movq	%rax, %r12
	movq	-96(%rbp), %rdi
	leaq	-80(%rbp), %rax
	cmpq	%rax, %rdi
	je	.L18
	call	_ZdlPv
.L18:
	testq	%rbx, %rbx
	je	.L19
	movq	%rbx, %rdi
	call	_ZdlPv
.L19:
	movq	%r12, %rdi
.LEHB7:
	call	_Unwind_Resume
.LEHE7:
.L12:
	movq	%r13, %rdi
.LEHB8:
	call	_ZNKSt5ctypeIcE13_M_widen_initEv
	movq	0(%r13), %rax
	movl	$10, %esi
	movq	%r13, %rdi
	call	*48(%rax)
	movl	%eax, %esi
	jmp	.L13
.L36:
	movq	%rax, %rdi
	call	_ZNSo5flushEv
.LEHE8:
	movq	-96(%rbp), %rdi
	leaq	-80(%rbp), %rax
	cmpq	%rax, %rdi
	je	.L14
	call	_ZdlPv
.L14:
	testq	%rbx, %rbx
	je	.L1
	movq	%rbx, %rdi
	call	_ZdlPv
.L1:
	addq	$72, %rsp
	popq	%rbx
	popq	%r12
	popq	%r13
	popq	%r14
	popq	%r15
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE2989:
	.globl	__gxx_personality_v0
	.section	.gcc_except_table,"a",@progbits
.LLSDA2989:
	.byte	0xff
	.byte	0xff
	.byte	0x1
	.uleb128 .LLSDACSE2989-.LLSDACSB2989
.LLSDACSB2989:
	.uleb128 .LEHB0-.LFB2989
	.uleb128 .LEHE0-.LEHB0
	.uleb128 .L24-.LFB2989
	.uleb128 0
	.uleb128 .LEHB1-.LFB2989
	.uleb128 .LEHE1-.LEHB1
	.uleb128 .L22-.LFB2989
	.uleb128 0
	.uleb128 .LEHB2-.LFB2989
	.uleb128 .LEHE2-.LEHB2
	.uleb128 .L24-.LFB2989
	.uleb128 0
	.uleb128 .LEHB3-.LFB2989
	.uleb128 .LEHE3-.LEHB3
	.uleb128 .L22-.LFB2989
	.uleb128 0
	.uleb128 .LEHB4-.LFB2989
	.uleb128 .LEHE4-.LEHB4
	.uleb128 .L23-.LFB2989
	.uleb128 0
	.uleb128 .LEHB5-.LFB2989
	.uleb128 .LEHE5-.LEHB5
	.uleb128 .L22-.LFB2989
	.uleb128 0
	.uleb128 .LEHB6-.LFB2989
	.uleb128 .LEHE6-.LEHB6
	.uleb128 .L23-.LFB2989
	.uleb128 0
	.uleb128 .LEHB7-.LFB2989
	.uleb128 .LEHE7-.LEHB7
	.uleb128 0
	.uleb128 0
	.uleb128 .LEHB8-.LFB2989
	.uleb128 .LEHE8-.LEHB8
	.uleb128 .L23-.LFB2989
	.uleb128 0
.LLSDACSE2989:
	.text
	.size	_ZN7UNIFORM9outputLogEj, .-_ZN7UNIFORM9outputLogEj
	.section	.rodata.str1.1
.LC2:
	.string	" COULD NOT COMPILE SHADER: "
	.text
	.align 2
	.globl	_ZN7UNIFORM13compileShaderEj
	.type	_ZN7UNIFORM13compileShaderEj, @function
_ZN7UNIFORM13compileShaderEj:
.LFB2988:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	pushq	%r14
	pushq	%r13
	pushq	%r12
	pushq	%rbx
	subq	$16, %rsp
	.cfi_offset 14, -24
	.cfi_offset 13, -32
	.cfi_offset 12, -40
	.cfi_offset 3, -48
1:	call	mcount
	movq	%rdi, %r12
	movl	%esi, %ebx
	movl	%esi, %edi
	call	*__glewCompileShaderARB(%rip)
	movl	$33280, -36(%rbp)
	leaq	-36(%rbp), %rdx
	movl	$35713, %esi
	movl	%ebx, %edi
	call	*__glewGetObjectParameterivARB(%rip)
	cmpl	$0, -36(%rbp)
	je	.L43
	movl	%ebx, %eax
.L37:
	addq	$16, %rsp
	popq	%rbx
	popq	%r12
	popq	%r13
	popq	%r14
	popq	%rbp
	.cfi_remember_state
	.cfi_def_cfa 7, 8
	ret
.L43:
	.cfi_restore_state
	movl	$27, %edx
	movl	$.LC2, %esi
	movl	$_ZSt4cout, %edi
	call	_ZSt16__ostream_insertIcSt11char_traitsIcEERSt13basic_ostreamIT_T0_ES6_PKS3_l
	movl	%ebx, %esi
	movl	$_ZSt4cout, %edi
	call	_ZNSo9_M_insertImEERSoT_
	movq	%rax, %r13
	movq	(%rax), %rax
	movq	-24(%rax), %rax
	movq	240(%r13,%rax), %r14
	testq	%r14, %r14
	je	.L44
	cmpb	$0, 56(%r14)
	je	.L40
	movzbl	67(%r14), %esi
.L41:
	movsbl	%sil, %esi
	movq	%r13, %rdi
	call	_ZNSo3putEc
	movq	%rax, %rdi
	call	_ZNSo5flushEv
	movl	%ebx, %esi
	movq	%r12, %rdi
	call	_ZN7UNIFORM9outputLogEj
	movl	%ebx, %edi
	call	*__glewDeleteObjectARB(%rip)
	movl	$-1, %eax
	jmp	.L37
.L44:
	call	_ZSt16__throw_bad_castv
.L40:
	movq	%r14, %rdi
	call	_ZNKSt5ctypeIcE13_M_widen_initEv
	movq	(%r14), %rax
	movl	$10, %esi
	movq	%r14, %rdi
	call	*48(%rax)
	movl	%eax, %esi
	jmp	.L41
	.cfi_endproc
.LFE2988:
	.size	_ZN7UNIFORM13compileShaderEj, .-_ZN7UNIFORM13compileShaderEj
	.section	.rodata.str1.1
.LC3:
	.string	" COULD NOT LINK PROGRAM: "
	.text
	.align 2
	.globl	_ZN7UNIFORM13createProgramEj
	.type	_ZN7UNIFORM13createProgramEj, @function
_ZN7UNIFORM13createProgramEj:
.LFB3000:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	pushq	%r12
	pushq	%rbx
	subq	$16, %rsp
	.cfi_offset 12, -24
	.cfi_offset 3, -32
1:	call	mcount
	movq	%rdi, %r12
	movl	$0, -20(%rbp)
	movl	$0, -24(%rbp)
	call	*__glewCreateProgramObjectARB(%rip)
	movl	%eax, %ebx
	movl	8(%r12), %esi
	movl	%eax, %edi
	call	*__glewAttachObjectARB(%rip)
	movl	40(%r12), %esi
	movl	%ebx, %edi
	call	*__glewAttachObjectARB(%rip)
	movl	%ebx, %edi
	call	*__glewLinkProgramARB(%rip)
	leaq	-20(%rbp), %rdx
	movl	$35714, %esi
	movl	%ebx, %edi
	call	*__glewGetObjectParameterivARB(%rip)
	cmpl	$0, -20(%rbp)
	je	.L51
	movl	%ebx, %eax
.L45:
	addq	$16, %rsp
	popq	%rbx
	popq	%r12
	popq	%rbp
	.cfi_remember_state
	.cfi_def_cfa 7, 8
	ret
.L51:
	.cfi_restore_state
	movl	$0, %ecx
	leaq	-24(%rbp), %rdx
	movl	$0, %esi
	movl	%ebx, %edi
	call	*__glewGetInfoLogARB(%rip)
	movl	$25, %edx
	movl	$.LC3, %esi
	movl	$_ZSt4cout, %edi
	call	_ZSt16__ostream_insertIcSt11char_traitsIcEERSt13basic_ostreamIT_T0_ES6_PKS3_l
	movq	_ZSt4cout(%rip), %rax
	movq	-24(%rax), %rax
	movq	_ZSt4cout+240(%rax), %r12
	testq	%r12, %r12
	je	.L52
	cmpb	$0, 56(%r12)
	je	.L48
	movzbl	67(%r12), %eax
.L49:
	movsbl	%al, %esi
	movl	$_ZSt4cout, %edi
	call	_ZNSo3putEc
	movq	%rax, %rdi
	call	_ZNSo5flushEv
	movl	%ebx, %edi
	call	*__glewDeleteObjectARB(%rip)
	movl	$-1, %eax
	jmp	.L45
.L52:
	call	_ZSt16__throw_bad_castv
.L48:
	movq	%r12, %rdi
	call	_ZNKSt5ctypeIcE13_M_widen_initEv
	movq	(%r12), %rax
	movl	$10, %esi
	movq	%r12, %rdi
	call	*48(%rax)
	jmp	.L49
	.cfi_endproc
.LFE3000:
	.size	_ZN7UNIFORM13createProgramEj, .-_ZN7UNIFORM13createProgramEj
	.align 2
	.globl	_ZN7UNIFORM11linkProgramEj
	.type	_ZN7UNIFORM11linkProgramEj, @function
_ZN7UNIFORM11linkProgramEj:
.LFB3001:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movl	%esi, %edi
	call	*__glewLinkProgramARB(%rip)
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE3001:
	.size	_ZN7UNIFORM11linkProgramEj, .-_ZN7UNIFORM11linkProgramEj
	.align 2
	.globl	_ZN7UNIFORM8LocationEjjPKc
	.type	_ZN7UNIFORM8LocationEjjPKc, @function
_ZN7UNIFORM8LocationEjjPKc:
.LFB3002:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	pushq	%r12
	pushq	%rbx
	.cfi_offset 12, -24
	.cfi_offset 3, -32
1:	call	mcount
	movl	%esi, %ebx
	movq	%rcx, %r12
	movq	%rcx, %rsi
	movl	%ebx, %edi
	call	*__glewGetAttribLocationARB(%rip)
	movl	%eax, %esi
	movq	%r12, %rdx
	movl	%ebx, %edi
	call	*__glewBindAttribLocationARB(%rip)
	popq	%rbx
	popq	%r12
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE3002:
	.size	_ZN7UNIFORM8LocationEjjPKc, .-_ZN7UNIFORM8LocationEjjPKc
	.align 2
	.globl	_ZN7UNIFORM7UniformEjPKcf
	.type	_ZN7UNIFORM7UniformEjPKcf, @function
_ZN7UNIFORM7UniformEjPKcf:
.LFB3003:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	pushq	%rbx
	subq	$24, %rsp
	.cfi_offset 3, -24
1:	call	mcount
	movq	%rdi, %rbx
	movl	%esi, %edi
	movq	%rdx, %rsi
	movss	%xmm0, -20(%rbp)
	call	*__glewGetUniformLocationARB(%rip)
	movl	%eax, %edi
	movl	%eax, (%rbx)
	movss	-20(%rbp), %xmm0
	call	*__glewUniform1fARB(%rip)
	movq	-8(%rbp), %rbx
	leave
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE3003:
	.size	_ZN7UNIFORM7UniformEjPKcf, .-_ZN7UNIFORM7UniformEjPKcf
	.align 2
	.globl	_ZN7UNIFORM10Uniform4x4EjPKcbPKf
	.type	_ZN7UNIFORM10Uniform4x4EjPKcbPKf, @function
_ZN7UNIFORM10Uniform4x4EjPKcbPKf:
.LFB3004:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	pushq	%r12
	pushq	%rbx
	.cfi_offset 12, -24
	.cfi_offset 3, -32
1:	call	mcount
	movq	%rdi, %r12
	movl	%esi, %edi
	movq	%rdx, %rsi
	movq	%r8, %rbx
	call	*__glewGetUniformLocationARB(%rip)
	movl	%eax, %edi
	movl	%eax, (%r12)
	movq	%rbx, %rcx
	movl	$0, %edx
	movl	$1, %esi
	call	*__glewUniformMatrix4fvARB(%rip)
	popq	%rbx
	popq	%r12
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE3004:
	.size	_ZN7UNIFORM10Uniform4x4EjPKcbPKf, .-_ZN7UNIFORM10Uniform4x4EjPKcbPKf
	.align 2
	.globl	_ZN7UNIFORM10Uniform3x3EjPKcbPKf
	.type	_ZN7UNIFORM10Uniform3x3EjPKcbPKf, @function
_ZN7UNIFORM10Uniform3x3EjPKcbPKf:
.LFB3005:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	pushq	%r12
	pushq	%rbx
	.cfi_offset 12, -24
	.cfi_offset 3, -32
1:	call	mcount
	movq	%rdi, %r12
	movl	%esi, %edi
	movq	%rdx, %rsi
	movq	%r8, %rbx
	call	*__glewGetUniformLocationARB(%rip)
	movl	%eax, %edi
	movl	%eax, (%r12)
	movq	%rbx, %rcx
	movl	$0, %edx
	movl	$1, %esi
	call	*__glewUniformMatrix3fvARB(%rip)
	popq	%rbx
	popq	%r12
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE3005:
	.size	_ZN7UNIFORM10Uniform3x3EjPKcbPKf, .-_ZN7UNIFORM10Uniform3x3EjPKcbPKf
	.align 2
	.globl	_ZN7UNIFORM13sendUniform4fEjPKcffff
	.type	_ZN7UNIFORM13sendUniform4fEjPKcffff, @function
_ZN7UNIFORM13sendUniform4fEjPKcffff:
.LFB3006:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	pushq	%rbx
	subq	$24, %rsp
	.cfi_offset 3, -24
1:	call	mcount
	movq	%rdi, %rbx
	movl	%esi, %edi
	movq	%rdx, %rsi
	movss	%xmm0, -20(%rbp)
	movss	%xmm1, -24(%rbp)
	movss	%xmm2, -28(%rbp)
	movss	%xmm3, -32(%rbp)
	call	*__glewGetUniformLocationARB(%rip)
	movl	%eax, %edi
	movl	%eax, (%rbx)
	movss	-32(%rbp), %xmm3
	movss	-28(%rbp), %xmm2
	movss	-24(%rbp), %xmm1
	movss	-20(%rbp), %xmm0
	call	*__glewUniform4fARB(%rip)
	movq	-8(%rbp), %rbx
	leave
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE3006:
	.size	_ZN7UNIFORM13sendUniform4fEjPKcffff, .-_ZN7UNIFORM13sendUniform4fEjPKcffff
	.align 2
	.globl	_ZN7UNIFORM13sendUniform3fEjPKcfff
	.type	_ZN7UNIFORM13sendUniform3fEjPKcfff, @function
_ZN7UNIFORM13sendUniform3fEjPKcfff:
.LFB3007:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	pushq	%rbx
	subq	$24, %rsp
	.cfi_offset 3, -24
1:	call	mcount
	movq	%rdi, %rbx
	movl	%esi, %edi
	movq	%rdx, %rsi
	movss	%xmm0, -20(%rbp)
	movss	%xmm1, -24(%rbp)
	movss	%xmm2, -28(%rbp)
	call	*__glewGetUniformLocationARB(%rip)
	movl	%eax, %edi
	movl	%eax, (%rbx)
	movss	-28(%rbp), %xmm2
	movss	-24(%rbp), %xmm1
	movss	-20(%rbp), %xmm0
	call	*__glewUniform3fARB(%rip)
	movq	-8(%rbp), %rbx
	leave
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE3007:
	.size	_ZN7UNIFORM13sendUniform3fEjPKcfff, .-_ZN7UNIFORM13sendUniform3fEjPKcfff
	.align 2
	.globl	_ZN7UNIFORM11sendUniformEjPKcf
	.type	_ZN7UNIFORM11sendUniformEjPKcf, @function
_ZN7UNIFORM11sendUniformEjPKcf:
.LFB3008:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	pushq	%rbx
	subq	$24, %rsp
	.cfi_offset 3, -24
1:	call	mcount
	movq	%rdi, %rbx
	movl	%esi, %edi
	movq	%rdx, %rsi
	movss	%xmm0, -20(%rbp)
	call	*__glewGetUniformLocationARB(%rip)
	movl	%eax, %edi
	movl	%eax, (%rbx)
	movss	-20(%rbp), %xmm0
	call	*__glewUniform1fARB(%rip)
	movq	-8(%rbp), %rbx
	leave
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE3008:
	.size	_ZN7UNIFORM11sendUniformEjPKcf, .-_ZN7UNIFORM11sendUniformEjPKcf
	.align 2
	.globl	_ZN7UNIFORM10bindShaderEj
	.type	_ZN7UNIFORM10bindShaderEj, @function
_ZN7UNIFORM10bindShaderEj:
.LFB3009:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movl	%esi, %edi
	call	*__glewUseProgramObjectARB(%rip)
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE3009:
	.size	_ZN7UNIFORM10bindShaderEj, .-_ZN7UNIFORM10bindShaderEj
	.section	.rodata.str1.1
.LC4:
	.string	" COULD NOT DELETE SHADER: "
	.text
	.align 2
	.globl	_ZN7UNIFORM12DeleteShaderEj
	.type	_ZN7UNIFORM12DeleteShaderEj, @function
_ZN7UNIFORM12DeleteShaderEj:
.LFB3010:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	pushq	%r12
	pushq	%rbx
	subq	$16, %rsp
	.cfi_offset 12, -24
	.cfi_offset 3, -32
1:	call	mcount
	movq	%rdi, %r12
	movl	%esi, %ebx
	movl	$33280, -20(%rbp)
	movl	$0, -24(%rbp)
	movl	$0, %edi
	call	*__glewUseProgramObjectARB(%rip)
	movl	8(%r12), %esi
	movl	%ebx, %edi
	call	*__glewDetachObjectARB(%rip)
	movl	40(%r12), %esi
	movl	%ebx, %edi
	call	*__glewDetachObjectARB(%rip)
	movl	8(%r12), %edi
	call	*__glewDeleteObjectARB(%rip)
	movl	40(%r12), %edi
	call	*__glewDeleteObjectARB(%rip)
	movl	%ebx, %edi
	call	*__glewDeleteObjectARB(%rip)
	leaq	-20(%rbp), %rdx
	movl	$35712, %esi
	movl	%ebx, %edi
	call	*__glewGetObjectParameterivARB(%rip)
	cmpl	$0, -20(%rbp)
	jne	.L62
	movl	$0, %ecx
	leaq	-24(%rbp), %rdx
	movl	$0, %esi
	movl	%ebx, %edi
	call	*__glewGetInfoLogARB(%rip)
	movl	$26, %edx
	movl	$.LC4, %esi
	movl	$_ZSt4cout, %edi
	call	_ZSt16__ostream_insertIcSt11char_traitsIcEERSt13basic_ostreamIT_T0_ES6_PKS3_l
	movq	_ZSt4cout(%rip), %rax
	movq	-24(%rax), %rax
	movq	_ZSt4cout+240(%rax), %rbx
	testq	%rbx, %rbx
	je	.L67
	cmpb	$0, 56(%rbx)
	je	.L65
	movzbl	67(%rbx), %esi
.L66:
	movsbl	%sil, %esi
	movl	$_ZSt4cout, %edi
	call	_ZNSo3putEc
	movq	%rax, %rdi
	call	_ZNSo5flushEv
.L62:
	addq	$16, %rsp
	popq	%rbx
	popq	%r12
	popq	%rbp
	.cfi_remember_state
	.cfi_def_cfa 7, 8
	ret
.L67:
	.cfi_restore_state
	call	_ZSt16__throw_bad_castv
.L65:
	movq	%rbx, %rdi
	call	_ZNKSt5ctypeIcE13_M_widen_initEv
	movq	(%rbx), %rax
	movl	$10, %esi
	movq	%rbx, %rdi
	call	*48(%rax)
	movl	%eax, %esi
	jmp	.L66
	.cfi_endproc
.LFE3010:
	.size	_ZN7UNIFORM12DeleteShaderEj, .-_ZN7UNIFORM12DeleteShaderEj
	.section	.rodata.str1.1
.LC5:
	.string	" COULD NOT LOAD SHADER! "
.LC6:
	.string	" ERROR BY READ! "
	.text
	.align 2
	.globl	_ZN7UNIFORM11ProgramSizeEPKc
	.type	_ZN7UNIFORM11ProgramSizeEPKc, @function
_ZN7UNIFORM11ProgramSizeEPKc:
.LFB2986:
	.cfi_startproc
	.cfi_personality 0x3,__gxx_personality_v0
	.cfi_lsda 0x3,.LLSDA2986
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	pushq	%r14
	pushq	%r13
	pushq	%r12
	pushq	%rbx
	subq	$528, %rsp
	.cfi_offset 14, -24
	.cfi_offset 13, -32
	.cfi_offset 12, -40
	.cfi_offset 3, -48
1:	call	mcount
	movq	%rsi, %r12
	leaq	-304(%rbp), %rdi
	call	_ZNSt8ios_baseC2Ev
	movq	$_ZTVSt9basic_iosIcSt11char_traitsIcEE+16, -304(%rbp)
	movq	$0, -88(%rbp)
	movb	$0, -80(%rbp)
	movb	$0, -79(%rbp)
	movq	$0, -72(%rbp)
	movq	$0, -64(%rbp)
	movq	$0, -56(%rbp)
	movq	$0, -48(%rbp)
	movq	_ZTTSt14basic_ifstreamIcSt11char_traitsIcEE+8(%rip), %rbx
	movq	%rbx, -560(%rbp)
	movq	_ZTTSt14basic_ifstreamIcSt11char_traitsIcEE+16(%rip), %r13
	movq	-24(%rbx), %rax
	movq	%r13, -560(%rbp,%rax)
	movq	$0, -552(%rbp)
	movq	-560(%rbp), %rax
	leaq	-560(%rbp), %rdi
	addq	-24(%rax), %rdi
	movl	$0, %esi
.LEHB9:
	call	_ZNSt9basic_iosIcSt11char_traitsIcEE4initEPSt15basic_streambufIcS1_E
.LEHE9:
	movq	$_ZTVSt14basic_ifstreamIcSt11char_traitsIcEE+24, -560(%rbp)
	movq	$_ZTVSt14basic_ifstreamIcSt11char_traitsIcEE+64, -304(%rbp)
	leaq	-544(%rbp), %rdi
.LEHB10:
	call	_ZNSt13basic_filebufIcSt11char_traitsIcEEC1Ev
.LEHE10:
	leaq	-544(%rbp), %rsi
	leaq	-304(%rbp), %rdi
.LEHB11:
	call	_ZNSt9basic_iosIcSt11char_traitsIcEE4initEPSt15basic_streambufIcS1_E
.LEHE11:
	jmp	.L98
.L92:
	movq	%rax, %r12
	leaq	-544(%rbp), %rdi
	call	_ZNSt13basic_filebufIcSt11char_traitsIcEED1Ev
	movq	%r12, %rax
.L71:
	movq	%rbx, -560(%rbp)
	movq	-24(%rbx), %rdx
	movq	%r13, -560(%rbp,%rdx)
	movq	$0, -552(%rbp)
	movq	%rax, %rbx
.L72:
	movq	$_ZTVSt9basic_iosIcSt11char_traitsIcEE+16, -304(%rbp)
	leaq	-304(%rbp), %rdi
	call	_ZNSt8ios_baseD2Ev
	movq	%rbx, %rdi
.LEHB12:
	call	_Unwind_Resume
.LEHE12:
.L91:
	jmp	.L71
.L90:
	movq	%rax, %rbx
	jmp	.L72
.L98:
	movl	$8, %edx
	movq	%r12, %rsi
	leaq	-544(%rbp), %rdi
.LEHB13:
	call	_ZNSt13basic_filebufIcSt11char_traitsIcEE4openEPKcSt13_Ios_Openmode
	testq	%rax, %rax
	je	.L99
	movq	-560(%rbp), %rax
	movq	-24(%rax), %rax
	leaq	-560(%rbp,%rax), %rdi
	movl	$0, %esi
	call	_ZNSt9basic_iosIcSt11char_traitsIcEE5clearESt12_Ios_Iostate
	jmp	.L74
.L99:
	movq	-560(%rbp), %rax
	movq	-24(%rax), %rax
	leaq	-560(%rbp,%rax), %rdi
	movl	32(%rdi), %esi
	orl	$4, %esi
	call	_ZNSt9basic_iosIcSt11char_traitsIcEE5clearESt12_Ios_Iostate
.L74:
	cmpl	$0, -272(%rbp)
	jne	.L100
	movl	$2, %edx
	movl	$0, %esi
	leaq	-560(%rbp), %rdi
	call	_ZNSi5seekgElSt12_Ios_Seekdir
	jmp	.L101
.L100:
	movl	$24, %edx
	movl	$.LC5, %esi
	movl	$_ZSt4cerr, %edi
	call	_ZSt16__ostream_insertIcSt11char_traitsIcEERSt13basic_ostreamIT_T0_ES6_PKS3_l
	movq	_ZSt4cerr(%rip), %rax
	movq	-24(%rax), %rax
	movq	_ZSt4cerr+240(%rax), %r12
	testq	%r12, %r12
	je	.L102
	cmpb	$0, 56(%r12)
	je	.L77
	movzbl	67(%r12), %esi
.L78:
	movsbl	%sil, %esi
	movl	$_ZSt4cerr, %edi
	call	_ZNSo3putEc
	jmp	.L103
.L102:
	call	_ZSt16__throw_bad_castv
.LEHE13:
.L89:
	movq	%rax, %rbx
	leaq	-560(%rbp), %rdi
	call	_ZNSt14basic_ifstreamIcSt11char_traitsIcEED1Ev
	movq	%rbx, %rdi
.LEHB14:
	call	_Unwind_Resume
.LEHE14:
.L77:
	movq	%r12, %rdi
.LEHB15:
	call	_ZNKSt5ctypeIcE13_M_widen_initEv
	movq	(%r12), %rax
	movl	$10, %esi
	movq	%r12, %rdi
	call	*48(%rax)
	movl	%eax, %esi
	jmp	.L78
.L103:
	movq	%rax, %rdi
	call	_ZNSo5flushEv
	jmp	.L104
.L101:
	leaq	-560(%rbp), %rdi
	call	_ZNSi5tellgEv
	movq	%rax, %r12
	movq	%rax, %r14
	movl	$0, %edx
	movl	$0, %esi
	leaq	-560(%rbp), %rdi
	call	_ZNSi5seekgElSt12_Ios_Seekdir
	movq	%r12, %rdi
	call	_Znam
	movq	%rax, %rsi
	movq	%r12, %rdx
	leaq	-560(%rbp), %rdi
	call	_ZNSi4readEPcl
	testb	$5, -272(%rbp)
	jne	.L105
	leaq	-544(%rbp), %rdi
	call	_ZNSt13basic_filebufIcSt11char_traitsIcEE5closeEv
	jmp	.L106
.L105:
	movl	$16, %edx
	movl	$.LC6, %esi
	movl	$_ZSt4cerr, %edi
	call	_ZSt16__ostream_insertIcSt11char_traitsIcEERSt13basic_ostreamIT_T0_ES6_PKS3_l
	movq	_ZSt4cerr(%rip), %rax
	movq	-24(%rax), %rax
	movq	_ZSt4cerr+240(%rax), %r12
	testq	%r12, %r12
	je	.L107
	cmpb	$0, 56(%r12)
	je	.L82
	movzbl	67(%r12), %esi
.L83:
	movsbl	%sil, %esi
	movl	$_ZSt4cerr, %edi
	call	_ZNSo3putEc
	jmp	.L108
.L107:
	call	_ZSt16__throw_bad_castv
.L82:
	movq	%r12, %rdi
	call	_ZNKSt5ctypeIcE13_M_widen_initEv
	movq	(%r12), %rax
	movl	$10, %esi
	movq	%r12, %rdi
	call	*48(%rax)
	movl	%eax, %esi
	jmp	.L83
.L108:
	movq	%rax, %rdi
	call	_ZNSo5flushEv
.LEHE15:
	jmp	.L109
.L106:
	testq	%rax, %rax
	je	.L110
.L79:
	movq	$_ZTVSt14basic_ifstreamIcSt11char_traitsIcEE+24, -560(%rbp)
	movq	$_ZTVSt14basic_ifstreamIcSt11char_traitsIcEE+64, -304(%rbp)
	movq	$_ZTVSt13basic_filebufIcSt11char_traitsIcEE+16, -544(%rbp)
	leaq	-544(%rbp), %rdi
.LEHB16:
	call	_ZNSt13basic_filebufIcSt11char_traitsIcEE5closeEv
.LEHE16:
	jmp	.L85
.L110:
	movq	-560(%rbp), %rax
	movq	-24(%rax), %rax
	leaq	-560(%rbp,%rax), %rdi
	movl	32(%rdi), %esi
	orl	$4, %esi
.LEHB17:
	call	_ZNSt9basic_iosIcSt11char_traitsIcEE5clearESt12_Ios_Iostate
.LEHE17:
	jmp	.L79
.L104:
	movq	$-1, %r14
	jmp	.L79
.L109:
	movq	$-1, %r14
	jmp	.L79
.L93:
	movq	%rax, %rdi
	call	__cxa_begin_catch
	call	__cxa_end_catch
.L85:
	leaq	-440(%rbp), %rdi
	call	_ZNSt12__basic_fileIcED1Ev
	movq	$_ZTVSt15basic_streambufIcSt11char_traitsIcEE+16, -544(%rbp)
	leaq	-488(%rbp), %rdi
	call	_ZNSt6localeD1Ev
	movq	%rbx, -560(%rbp)
	movq	-24(%rbx), %rax
	movq	%r13, -560(%rbp,%rax)
	movq	$0, -552(%rbp)
	movq	$_ZTVSt9basic_iosIcSt11char_traitsIcEE+16, -304(%rbp)
	leaq	-304(%rbp), %rdi
	call	_ZNSt8ios_baseD2Ev
	movq	%r14, %rax
	addq	$528, %rsp
	popq	%rbx
	popq	%r12
	popq	%r13
	popq	%r14
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE2986:
	.section	.gcc_except_table
	.align 4
.LLSDA2986:
	.byte	0xff
	.byte	0x3
	.uleb128 .LLSDATT2986-.LLSDATTD2986
.LLSDATTD2986:
	.byte	0x1
	.uleb128 .LLSDACSE2986-.LLSDACSB2986
.LLSDACSB2986:
	.uleb128 .LEHB9-.LFB2986
	.uleb128 .LEHE9-.LEHB9
	.uleb128 .L90-.LFB2986
	.uleb128 0
	.uleb128 .LEHB10-.LFB2986
	.uleb128 .LEHE10-.LEHB10
	.uleb128 .L91-.LFB2986
	.uleb128 0
	.uleb128 .LEHB11-.LFB2986
	.uleb128 .LEHE11-.LEHB11
	.uleb128 .L92-.LFB2986
	.uleb128 0
	.uleb128 .LEHB12-.LFB2986
	.uleb128 .LEHE12-.LEHB12
	.uleb128 0
	.uleb128 0
	.uleb128 .LEHB13-.LFB2986
	.uleb128 .LEHE13-.LEHB13
	.uleb128 .L89-.LFB2986
	.uleb128 0
	.uleb128 .LEHB14-.LFB2986
	.uleb128 .LEHE14-.LEHB14
	.uleb128 0
	.uleb128 0
	.uleb128 .LEHB15-.LFB2986
	.uleb128 .LEHE15-.LEHB15
	.uleb128 .L89-.LFB2986
	.uleb128 0
	.uleb128 .LEHB16-.LFB2986
	.uleb128 .LEHE16-.LEHB16
	.uleb128 .L93-.LFB2986
	.uleb128 0x1
	.uleb128 .LEHB17-.LFB2986
	.uleb128 .LEHE17-.LEHB17
	.uleb128 .L89-.LFB2986
	.uleb128 0
.LLSDACSE2986:
	.byte	0x1
	.byte	0
	.align 4
	.long	0

.LLSDATT2986:
	.text
	.size	_ZN7UNIFORM11ProgramSizeEPKc, .-_ZN7UNIFORM11ProgramSizeEPKc
	.section	.rodata.str1.1
.LC7:
	.string	"rb"
	.section	.rodata.str1.8,"aMS",@progbits,1
	.align 8
.LC8:
	.string	" COULD NOT COMPILE THE SHADERS! "
	.text
	.align 2
	.globl	_ZN7UNIFORM12createShaderEPKcS1_
	.type	_ZN7UNIFORM12createShaderEPKcS1_, @function
_ZN7UNIFORM12createShaderEPKcS1_:
.LFB2987:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
	pushq	%r14
	pushq	%r13
	pushq	%r12
	pushq	%rbx
	.cfi_offset 14, -24
	.cfi_offset 13, -32
	.cfi_offset 12, -40
	.cfi_offset 3, -48
1:	call	mcount
	movq	%rdi, %rbx
	movq	%rsi, %r12
	movq	%rdx, %r13
	movl	$1, %edi
	call	*__glewCreateShaderObjectARB(%rip)
	movl	%eax, 8(%rbx)
	movl	$1, %edi
	call	*__glewCreateShaderObjectARB(%rip)
	movl	%eax, 40(%rbx)
	movq	%r12, 24(%rbx)
	movq	%r13, 56(%rbx)
	movl	$.LC7, %esi
	movq	%r12, %rdi
	call	fopen
	movq	%rax, 16(%rbx)
	movq	56(%rbx), %rdi
	movl	$.LC7, %esi
	call	fopen
	movq	%rax, 48(%rbx)
	movq	24(%rbx), %rsi
	movq	%rbx, %rdi
	call	_ZN7UNIFORM11ProgramSizeEPKc
	movq	%rax, %r14
	movq	56(%rbx), %rsi
	movq	%rbx, %rdi
	call	_ZN7UNIFORM11ProgramSizeEPKc
	movq	%rax, %r12
	movq	%r14, %rdi
	call	malloc
	movq	%rax, %r13
	movq	%rax, 32(%rbx)
	movq	%r12, %rdi
	call	malloc
	movq	%rax, 64(%rbx)
	movq	16(%rbx), %rcx
	movl	$1, %edx
	movq	%r14, %rsi
	movq	%r13, %rdi
	call	fread
	movl	%eax, 8(%rbx)
	movq	48(%rbx), %rcx
	movq	64(%rbx), %rdi
	movl	$1, %edx
	movq	%r12, %rsi
	call	fread
	movl	%eax, 40(%rbx)
	cmpq	$0, 32(%rbx)
	je	.L112
	cmpq	$0, 64(%rbx)
	je	.L112
	leaq	32(%rbx), %rdx
	movl	8(%rbx), %edi
	movl	$0, %ecx
	movl	$1, %esi
	call	*__glewShaderSourceARB(%rip)
	leaq	64(%rbx), %rdx
	movl	40(%rbx), %edi
	movl	$0, %ecx
	movl	$1, %esi
	call	*__glewShaderSourceARB(%rip)
	movl	8(%rbx), %esi
	movq	%rbx, %rdi
	call	_ZN7UNIFORM13compileShaderEj
	testl	%eax, %eax
	je	.L114
	movl	40(%rbx), %esi
	movq	%rbx, %rdi
	call	_ZN7UNIFORM13compileShaderEj
	testl	%eax, %eax
	jne	.L115
.L114:
	movl	$32, %edx
	movl	$.LC8, %esi
	movl	$_ZSt4cerr, %edi
	call	_ZSt16__ostream_insertIcSt11char_traitsIcEERSt13basic_ostreamIT_T0_ES6_PKS3_l
	movq	_ZSt4cerr(%rip), %rax
	movq	-24(%rax), %rax
	movq	_ZSt4cerr+240(%rax), %r12
	testq	%r12, %r12
	je	.L119
	cmpb	$0, 56(%r12)
	je	.L117
	movzbl	67(%r12), %esi
.L118:
	movsbl	%sil, %esi
	movl	$_ZSt4cerr, %edi
	call	_ZNSo3putEc
	movq	%rax, %rdi
	call	_ZNSo5flushEv
.L115:
	movq	16(%rbx), %rdi
	call	fclose
	movq	48(%rbx), %rdi
	call	fclose
	movq	32(%rbx), %rdi
	call	free
	movq	64(%rbx), %rdi
	call	free
	popq	%rbx
	popq	%r12
	popq	%r13
	popq	%r14
	popq	%rbp
	.cfi_remember_state
	.cfi_def_cfa 7, 8
	ret
.L112:
	.cfi_restore_state
	movl	$1, %edi
	call	exit
.L119:
	call	_ZSt16__throw_bad_castv
.L117:
	movq	%r12, %rdi
	call	_ZNKSt5ctypeIcE13_M_widen_initEv
	movq	(%r12), %rax
	movl	$10, %esi
	movq	%r12, %rdi
	call	*48(%rax)
	movl	%eax, %esi
	jmp	.L118
	.cfi_endproc
.LFE2987:
	.size	_ZN7UNIFORM12createShaderEPKcS1_, .-_ZN7UNIFORM12createShaderEPKcS1_
	.type	_GLOBAL__sub_I__ZN7UNIFORM11ProgramSizeEPKc, @function
_GLOBAL__sub_I__ZN7UNIFORM11ProgramSizeEPKc:
.LFB3503:
	.cfi_startproc
	pushq	%rbp
	.cfi_def_cfa_offset 16
	.cfi_offset 6, -16
	movq	%rsp, %rbp
	.cfi_def_cfa_register 6
1:	call	mcount
	movl	$_ZStL8__ioinit, %edi
	call	_ZNSt8ios_base4InitC1Ev
	movl	$__dso_handle, %edx
	movl	$_ZStL8__ioinit, %esi
	movl	$_ZNSt8ios_base4InitD1Ev, %edi
	call	__cxa_atexit
	popq	%rbp
	.cfi_def_cfa 7, 8
	ret
	.cfi_endproc
.LFE3503:
	.size	_GLOBAL__sub_I__ZN7UNIFORM11ProgramSizeEPKc, .-_GLOBAL__sub_I__ZN7UNIFORM11ProgramSizeEPKc
	.section	.init_array,"aw"
	.align 8
	.quad	_GLOBAL__sub_I__ZN7UNIFORM11ProgramSizeEPKc
	.local	_ZStL8__ioinit
	.comm	_ZStL8__ioinit,1,1
	.hidden	__dso_handle
	.ident	"GCC: (GNU) 12.2.1 20220819 (Red Hat 12.2.1-2)"
	.section	.note.GNU-stack,"",@progbits
